# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "srad-types"
version = "0.3.0"
authors = ["dpazj"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Sparkplug types and utilities"
homepage = "https://github.com/dpazj/srad"
readme = "README.md"
keywords = [
    "sparkplug",
    "sparkplug-b",
    "mqtt",
    "iot",
    "async",
]
categories = [
    "embedded",
    "network-programming",
    "asynchronous",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/dpazj/srad"

[lib]
name = "srad_types"
path = "src/lib.rs"

[dependencies.paste]
version = "1.0"

[dependencies.prost]
version = "0.13.0"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.srad-macros]
version = "0.3.0"

[dependencies.thiserror]
version = "1.0.69"
